Meeting : Newsletter extension at Wikimedia Hackathon, Lyon
Closed, ResolvedPublic

Description

<copied from https://phabricator.wikimedia.org/T76199#1293240>

Since we wont be able to do much of code work, as a student is assigned for the project, I think we are looking for something in the 'Meeting' category where we can list out what we are planning to do with the NewsLetter. We should be looking at:

  1. How the SpecialPage(s) should look like, what all functions should be made public
  2. Who should be given the right to create/edit NewsLetters
  3. More design inputs for the NewsLetter SpecialPage
  4. Showcase our current idea of creating/storing a NewsLetter - and get more inputs about its feasibility
  5. Possibility of handling subscription from the Special:Preferences

Participants

@Ckoerner, @01tonythomas, @Moushira, @Quiddity, @Bawolff, @Isarra, @Qgil.

Topics

(We missed part of the conversation)

... Ok, taking notes here was difficult. We have to bring the feedback to the respective tasks.

01tonythomas changed the title from "Meeting : News;etter extension at Wikimedia Hackathon, Lyon" to "Meeting : Newsletter extension at Wikimedia Hackathon, Lyon".
01tonythomas set Security to None.
01tonythomas added subscribers: Ekumahost, Vickyjim5, jayvdb and 33 others.
Qgil assigned this task to 01tonythomas.May 18 2015, 1:43 PM

I'll be there!

Even if @Tinaj1234 will not be in Lyon, I think it would be great to collaborate somehow during the event. Basically, this is my main hackathon project. Maybe we could have a hangout to plan things... this Thursday? If you have time among your exams, that is.

I'll be there!

Even if @Tinaj1234 will not be in Lyon, I think it would be great to collaborate somehow during the event.

Sure! Looking forward to that :)

Maybe we could have a hangout to plan things... this Thursday? If you have time among your exams, that is.

How about Wednesday ? I've an exam on Thursday + I think @01tonythomas is leaving for Lyon on thursday..

How about Wednesday ? I've an exam on Thursday + I think @01tonythomas is leaving for Lyon on thursday..

Sure. I think even tomorrow - Tuesday evening would be fine ( as /me will have some packing works on Wednesday night :P )

Qgil added a comment.May 18 2015, 4:09 PM

What about some time tomorrow before 4pm IST? Agree on a time and I will
follow.

What about some time tomorrow before 4pm IST? Agree on a time and I will
follow.

Okey. 3:00 pm IST - 4:00 pm IST

Discussions we had on 19/05/2015 about 'Meeting' at Lyon Hackathon:
https://phabricator.wikimedia.org/P652

So one possible approach I'd like to suggest

So each newsletter could have a (json) content handler type (similar to campaign - https://commons.wikimedia.org/wiki/Campaign:Wikimania ), which is the primary page for the newsletter. In the json blob, it includes a list of all previous editions, what the current issue is, and everyone subscribed. The interface is pretty, and has buttons for subscribe, and button for add new edition that automatically adjusts the json appropriately.

Qgil edited the task description. (Show Details)May 24 2015, 9:57 AM
Qgil edited subscribers, added: Isarra; removed: Bawolff.
Qgil added a comment.EditedMay 24 2015, 4:35 PM

We are meeting again tomorrow Monday at 1pm. It would be great to have Tina on hangout, if possible (?).

Qgil closed this task as "Resolved".May 26 2015, 7:03 AM